<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__lwip__whd__enums" kind="group">
    <compoundname>group_lwip_whd_enums</compoundname>
    <title>Enumerated Types</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__lwip__whd__enums_1ga5c1e4041ed624baae4bd852f1e6149bf" kind="enum" prot="public" static="no">
        <name>cy_lwip_nw_interface_role_t</name>
        <enumvalue id="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfa546079ed70f4d411eef664709297c929" prot="public">
          <name>CY_LWIP_STA_NW_INTERFACE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>STA or Client Interface. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__lwip__whd__enums_1gga5c1e4041ed624baae4bd852f1e6149bfacc3d978c1c58d6d0d7b7658317268326" prot="public">
          <name>CY_LWIP_AP_NW_INTERFACE</name>
          <initializer>= 1</initializer>
          <briefdescription>
<para>SoftAP Interface. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_lwip_nw_interface_role_t: </bold><linebreak />Enumeration of network interface role.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="36" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" bodystart="32" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/freertos-lwip-mbedtls-whd/lwip-whd-port/cy_lwip.h" line="33" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>